#include <utility/tagitem.h>

#define lau_up                  0
#define lau_down                1
#define lau_over                2

#define lind_realcenter         0
#define lind_center             1
#define lind_left               2
#define lind_right              3

#define LAU_TextFont            (TAG_USER + 22 )
#define LAU_TextFormat          (TAG_USER + 23 )
#define LAU_Label               (TAG_USER + 24 )
#define LAU_File                (TAG_USER + 25 )

#define LAU_3D                  (TAG_USER + 26)
#define LAU_Border              (TAG_USER + 27)
#define LAU_Background          (TAG_USER + 28)
#define LAU_ShadowLabel         (TAG_USER + 29)

#define LAU_List                (TAG_USER + 30)
#define LAU_Down                (TAG_USER + 31)

#define LAU_ColLabel            (TAG_USER + 32)
#define LAU_ColEntry            (TAG_USER + 33)
#define LAU_ColHalfBright       (TAG_USER + 34)
#define LAU_ColHalfShadow       (TAG_USER + 35)
#define LAU_ColCursor           (TAG_USER + 36)
#define LAU_ColBrightEdg        (TAG_USER + 37)
#define LAU_ColDarkEdg          (TAG_USER + 38)
#define LAU_ColBackground       (TAG_USER + 39)

#define LAU_Screen              (TAG_USER + 40)
#define LAU_Indent              (TAG_USER + 41)

#define LAU_UsedColors  8

struct  LAU_Color
{
    UWORD   pen;
    ULONG   red;
    ULONG   green;
    ULONG   blue;
};

struct lau_entry
{
    struct lau_entry   *next;
    char               *lau_lbl;
    char               *lau_cmd;
    char               *lau_pth;
    char               *lau_out;
    UWORD               lau_type;
    ULONG               lau_stack;
    UWORD               width;
    UWORD               height;
    Object             *img;
};

